{
    "fields": [
        {
            "name": "descricao",
            "type": "text"
        },
        {
            "name": "idProtocolo",
            "type": "integer#unsigned"
        },
        {
            "name": "idUsuario",
            "type": "integer#unsigned"
        },
        {
            "name": "idSolicitante",
            "type": "integer#unsigned"
        }
    ],
    "foreign_keys": [
        {
            "column": "idProtocolo",
            "references": "id",
            "on": "protocolos",
            "onDelete": "cascade"
        },
        {
            "column": "idUsuario",
            "references": "id",
            "on": "users",
            "onDelete": "cascade"
        },
        {
            "column": "idSolicitante",
            "references": "id",
            "on": "solicitantes",
            "onDelete": "cascade"
        }
    ],
    "relationships": [
        {
            "name": "user",
            "type": "belongsTo",
            "class": "App\\Models\\User"
        },
        {
            "name": "protocolo",
            "type": "belongsTo",
            "class": "App\\Models\\Protocolo"
        },
        {
            "name": "solicitante",
            "type": "belongsTo",
            "class": "App\\Models\\Solicitante"
        }
    ],
    "validations": [
        {
            "field": "descricao",
            "rules": "required"
        }
    ]
}